// Code generated by mockery v2.10.2. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	models "gitlab.com/nikita.morozov/bot-ms-core/models"
)

// SocketRepository is an autogenerated mock type for the SocketRepository type
type SocketRepository struct {
	mock.Mock
}

// Create provides a mock function with given fields: item
func (_m *SocketRepository) Create(item *models.Socket) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.Socket) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Delete provides a mock function with given fields: item
func (_m *SocketRepository) Delete(item *models.Socket) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.Socket) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// GetById provides a mock function with given fields: id
func (_m *SocketRepository) GetById(id uint) (*models.Socket, error) {
	ret := _m.Called(id)

	var r0 *models.Socket
	if rf, ok := ret.Get(0).(func(uint) *models.Socket); ok {
		r0 = rf(id)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Socket)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint) error); ok {
		r1 = rf(id)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetBySlug provides a mock function with given fields: actionId, direction, slug
func (_m *SocketRepository) GetBySlug(actionId uint, direction uint8, slug string) (*models.Socket, error) {
	ret := _m.Called(actionId, direction, slug)

	var r0 *models.Socket
	if rf, ok := ret.Get(0).(func(uint, uint8, string) *models.Socket); ok {
		r0 = rf(actionId, direction, slug)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Socket)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint, uint8, string) error); ok {
		r1 = rf(actionId, direction, slug)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetByType provides a mock function with given fields: actionId, direction, sType
func (_m *SocketRepository) GetByType(actionId uint, direction uint8, sType uint8) (*[]models.Socket, error) {
	ret := _m.Called(actionId, direction, sType)

	var r0 *[]models.Socket
	if rf, ok := ret.Get(0).(func(uint, uint8, uint8) *[]models.Socket); ok {
		r0 = rf(actionId, direction, sType)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*[]models.Socket)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint, uint8, uint8) error); ok {
		r1 = rf(actionId, direction, sType)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// List provides a mock function with given fields: actionId, direction
func (_m *SocketRepository) List(actionId uint, direction uint8) (*[]models.Socket, error) {
	ret := _m.Called(actionId, direction)

	var r0 *[]models.Socket
	if rf, ok := ret.Get(0).(func(uint, uint8) *[]models.Socket); ok {
		r0 = rf(actionId, direction)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*[]models.Socket)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint, uint8) error); ok {
		r1 = rf(actionId, direction)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Update provides a mock function with given fields: item
func (_m *SocketRepository) Update(item *models.Socket) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.Socket) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
